com.sun.java.xml.ns.javaee

## Class ObjectFactory

- java.lang.Object
- - com.sun.java.xml.ns.javaee.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the com.sun.java.xml.ns.javaee package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.sun.java.xml.ns.javaee

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbsoluteOrderingType` | `createAbsoluteOrderingType()` Create an instance of `AbsoluteOrderingType`
    `AddressingResponsesType` | `createAddressingResponsesType()` Create an instance of `AddressingResponsesType`
    `AddressingType` | `createAddressingType()` Create an instance of `AddressingType`
    `JAXBElement<ApplicationType>` | `createApplication(ApplicationType value)` Create an instance of `JAXBElement``<``ApplicationType``>`}
    `ApplicationType` | `createApplicationType()` Create an instance of `ApplicationType`
    `AuthConstraintType` | `createAuthConstraintType()` Create an instance of `AuthConstraintType`
    `AuthMethodType` | `createAuthMethodType()` Create an instance of `AuthMethodType`
    `CookieCommentType` | `createCookieCommentType()` Create an instance of `CookieCommentType`
    `CookieConfigType` | `createCookieConfigType()` Create an instance of `CookieConfigType`
    `CookieDomainType` | `createCookieDomainType()` Create an instance of `CookieDomainType`
    `CookieNameType` | `createCookieNameType()` Create an instance of `CookieNameType`
    `CookiePathType` | `createCookiePathType()` Create an instance of `CookiePathType`
    `DataSourceType` | `createDataSourceType()` Create an instance of `DataSourceType`
    `DescriptionType` | `createDescriptionType()` Create an instance of `DescriptionType`
    `DispatcherType` | `createDispatcherType()` Create an instance of `DispatcherType`
    `DisplayNameType` | `createDisplayNameType()` Create an instance of `DisplayNameType`
    `EjbLinkType` | `createEjbLinkType()` Create an instance of `EjbLinkType`
    `EjbLocalRefType` | `createEjbLocalRefType()` Create an instance of `EjbLocalRefType`
    `EjbRefNameType` | `createEjbRefNameType()` Create an instance of `EjbRefNameType`
    `EjbRefType` | `createEjbRefType()` Create an instance of `EjbRefType`
    `EjbRefTypeType` | `createEjbRefTypeType()` Create an instance of `EjbRefTypeType`
    `EmptyType` | `createEmptyType()` Create an instance of `EmptyType`
    `EnvEntryType` | `createEnvEntryType()` Create an instance of `EnvEntryType`
    `EnvEntryTypeValuesType` | `createEnvEntryTypeValuesType()` Create an instance of `EnvEntryTypeValuesType`
    `ErrorCodeType` | `createErrorCodeType()` Create an instance of `ErrorCodeType`
    `ErrorPageType` | `createErrorPageType()` Create an instance of `ErrorPageType`
    `FilterMappingType` | `createFilterMappingType()` Create an instance of `FilterMappingType`
    `FilterNameType` | `createFilterNameType()` Create an instance of `FilterNameType`
    `FilterType` | `createFilterType()` Create an instance of `FilterType`
    `FormLoginConfigType` | `createFormLoginConfigType()` Create an instance of `FormLoginConfigType`
    `FullyQualifiedClassType` | `createFullyQualifiedClassType()` Create an instance of `FullyQualifiedClassType`
    `GenericBooleanType` | `createGenericBooleanType()` Create an instance of `GenericBooleanType`
    `HandlerChainsType` | `createHandlerChainsType()` Create an instance of `HandlerChainsType`
    `HandlerChainType` | `createHandlerChainType()` Create an instance of `HandlerChainType`
    `HandlerType` | `createHandlerType()` Create an instance of `HandlerType`
    `HomeType` | `createHomeType()` Create an instance of `HomeType`
    `IconType` | `createIconType()` Create an instance of `IconType`
    `InjectionTargetType` | `createInjectionTargetType()` Create an instance of `InjectionTargetType`
    `JavaIdentifierType` | `createJavaIdentifierType()` Create an instance of `JavaIdentifierType`
    `JavaTypeType` | `createJavaTypeType()` Create an instance of `JavaTypeType`
    `JdbcUrlType` | `createJdbcUrlType()` Create an instance of `JdbcUrlType`
    `JndiNameType` | `createJndiNameType()` Create an instance of `JndiNameType`
    `JspConfigType` | `createJspConfigType()` Create an instance of `JspConfigType`
    `JspFileType` | `createJspFileType()` Create an instance of `JspFileType`
    `JspPropertyGroupType` | `createJspPropertyGroupType()` Create an instance of `JspPropertyGroupType`
    `LifecycleCallbackType` | `createLifecycleCallbackType()` Create an instance of `LifecycleCallbackType`
    `ListenerType` | `createListenerType()` Create an instance of `ListenerType`
    `LocaleEncodingMappingListType` | `createLocaleEncodingMappingListType()` Create an instance of `LocaleEncodingMappingListType`
    `LocaleEncodingMappingType` | `createLocaleEncodingMappingType()` Create an instance of `LocaleEncodingMappingType`
    `LocalHomeType` | `createLocalHomeType()` Create an instance of `LocalHomeType`
    `LocalType` | `createLocalType()` Create an instance of `LocalType`
    `LoginConfigType` | `createLoginConfigType()` Create an instance of `LoginConfigType`
    `MessageDestinationLinkType` | `createMessageDestinationLinkType()` Create an instance of `MessageDestinationLinkType`
    `MessageDestinationRefType` | `createMessageDestinationRefType()` Create an instance of `MessageDestinationRefType`
    `MessageDestinationType` | `createMessageDestinationType()` Create an instance of `MessageDestinationType`
    `MessageDestinationTypeType` | `createMessageDestinationTypeType()` Create an instance of `MessageDestinationTypeType`
    `MessageDestinationUsageType` | `createMessageDestinationUsageType()` Create an instance of `MessageDestinationUsageType`
    `MimeMappingType` | `createMimeMappingType()` Create an instance of `MimeMappingType`
    `MimeTypeType` | `createMimeTypeType()` Create an instance of `MimeTypeType`
    `ModuleType` | `createModuleType()` Create an instance of `ModuleType`
    `MultipartConfigType` | `createMultipartConfigType()` Create an instance of `MultipartConfigType`
    `NonEmptyStringType` | `createNonEmptyStringType()` Create an instance of `NonEmptyStringType`
    `OrderingOrderingType` | `createOrderingOrderingType()` Create an instance of `OrderingOrderingType`
    `OrderingOthersType` | `createOrderingOthersType()` Create an instance of `OrderingOthersType`
    `OrderingType` | `createOrderingType()` Create an instance of `OrderingType`
    `ParamValueType` | `createParamValueType()` Create an instance of `ParamValueType`
    `PathType` | `createPathType()` Create an instance of `PathType`
    `PersistenceContextRefType` | `createPersistenceContextRefType()` Create an instance of `PersistenceContextRefType`
    `PersistenceContextTypeType` | `createPersistenceContextTypeType()` Create an instance of `PersistenceContextTypeType`
    `PersistenceUnitRefType` | `createPersistenceUnitRefType()` Create an instance of `PersistenceUnitRefType`
    `PortComponentRefType` | `createPortComponentRefType()` Create an instance of `PortComponentRefType`
    `PropertyType` | `createPropertyType()` Create an instance of `PropertyType`
    `RemoteType` | `createRemoteType()` Create an instance of `RemoteType`
    `ResAuthType` | `createResAuthType()` Create an instance of `ResAuthType`
    `ResourceEnvRefType` | `createResourceEnvRefType()` Create an instance of `ResourceEnvRefType`
    `ResourceRefType` | `createResourceRefType()` Create an instance of `ResourceRefType`
    `RespectBindingType` | `createRespectBindingType()` Create an instance of `RespectBindingType`
    `ResSharingScopeType` | `createResSharingScopeType()` Create an instance of `ResSharingScopeType`
    `RoleNameType` | `createRoleNameType()` Create an instance of `RoleNameType`
    `RunAsType` | `createRunAsType()` Create an instance of `RunAsType`
    `SecurityConstraintType` | `createSecurityConstraintType()` Create an instance of `SecurityConstraintType`
    `SecurityRoleRefType` | `createSecurityRoleRefType()` Create an instance of `SecurityRoleRefType`
    `SecurityRoleType` | `createSecurityRoleType()` Create an instance of `SecurityRoleType`
    `ServiceRefType` | `createServiceRefType()` Create an instance of `ServiceRefType`
    `ServletMappingType` | `createServletMappingType()` Create an instance of `ServletMappingType`
    `ServletNameType` | `createServletNameType()` Create an instance of `ServletNameType`
    `ServletType` | `createServletType()` Create an instance of `ServletType`
    `SessionConfigType` | `createSessionConfigType()` Create an instance of `SessionConfigType`
    `String` | `createString()` Create an instance of `String`
    `TaglibType` | `createTaglibType()` Create an instance of `TaglibType`
    `TrackingModeType` | `createTrackingModeType()` Create an instance of `TrackingModeType`
    `TransportGuaranteeType` | `createTransportGuaranteeType()` Create an instance of `TransportGuaranteeType`
    `TrueFalseType` | `createTrueFalseType()` Create an instance of `TrueFalseType`
    `UrlPatternType` | `createUrlPatternType()` Create an instance of `UrlPatternType`
    `UserDataConstraintType` | `createUserDataConstraintType()` Create an instance of `UserDataConstraintType`
    `WarPathType` | `createWarPathType()` Create an instance of `WarPathType`
    `JAXBElement<WebAppType>` | `createWebApp(WebAppType value)` Create an instance of `JAXBElement``<``WebAppType``>`}
    `WebAppType` | `createWebAppType()` Create an instance of `WebAppType`
    `JAXBElement<AbsoluteOrderingType>` | `createWebAppTypeAbsoluteOrdering(AbsoluteOrderingType value)` Create an instance of `JAXBElement``<``AbsoluteOrderingType``>`}
    `JAXBElement<ParamValueType>` | `createWebAppTypeContextParam(ParamValueType value)` Create an instance of `JAXBElement``<``ParamValueType``>`}
    `JAXBElement<DataSourceType>` | `createWebAppTypeDataSource(DataSourceType value)` Create an instance of `JAXBElement``<``DataSourceType``>`}
    `JAXBElement<DescriptionType>` | `createWebAppTypeDescription(DescriptionType value)` Create an instance of `JAXBElement``<``DescriptionType``>`}
    `JAXBElement<DisplayNameType>` | `createWebAppTypeDisplayName(DisplayNameType value)` Create an instance of `JAXBElement``<``DisplayNameType``>`}
    `JAXBElement<EmptyType>` | `createWebAppTypeDistributable(EmptyType value)` Create an instance of `JAXBElement``<``EmptyType``>`}
    `JAXBElement<EjbLocalRefType>` | `createWebAppTypeEjbLocalRef(EjbLocalRefType value)` Create an instance of `JAXBElement``<``EjbLocalRefType``>`}
    `JAXBElement<EjbRefType>` | `createWebAppTypeEjbRef(EjbRefType value)` Create an instance of `JAXBElement``<``EjbRefType``>`}
    `JAXBElement<EnvEntryType>` | `createWebAppTypeEnvEntry(EnvEntryType value)` Create an instance of `JAXBElement``<``EnvEntryType``>`}
    `JAXBElement<ErrorPageType>` | `createWebAppTypeErrorPage(ErrorPageType value)` Create an instance of `JAXBElement``<``ErrorPageType``>`}
    `JAXBElement<FilterType>` | `createWebAppTypeFilter(FilterType value)` Create an instance of `JAXBElement``<``FilterType``>`}
    `JAXBElement<FilterMappingType>` | `createWebAppTypeFilterMapping(FilterMappingType value)` Create an instance of `JAXBElement``<``FilterMappingType``>`}
    `JAXBElement<IconType>` | `createWebAppTypeIcon(IconType value)` Create an instance of `JAXBElement``<``IconType``>`}
    `JAXBElement<JspConfigType>` | `createWebAppTypeJspConfig(JspConfigType value)` Create an instance of `JAXBElement``<``JspConfigType``>`}
    `JAXBElement<ListenerType>` | `createWebAppTypeListener(ListenerType value)` Create an instance of `JAXBElement``<``ListenerType``>`}
    `JAXBElement<LocaleEncodingMappingListType>` | `createWebAppTypeLocaleEncodingMappingList(LocaleEncodingMappingListType value)` Create an instance of `JAXBElement``<``LocaleEncodingMappingListType``>`}
    `JAXBElement<LoginConfigType>` | `createWebAppTypeLoginConfig(LoginConfigType value)` Create an instance of `JAXBElement``<``LoginConfigType``>`}
    `JAXBElement<MessageDestinationType>` | `createWebAppTypeMessageDestination(MessageDestinationType value)` Create an instance of `JAXBElement``<``MessageDestinationType``>`}
    `JAXBElement<MessageDestinationRefType>` | `createWebAppTypeMessageDestinationRef(MessageDestinationRefType value)` Create an instance of `JAXBElement``<``MessageDestinationRefType``>`}
    `JAXBElement<MimeMappingType>` | `createWebAppTypeMimeMapping(MimeMappingType value)` Create an instance of `JAXBElement``<``MimeMappingType``>`}
    `JAXBElement<String>` | `createWebAppTypeModuleName(String value)` Create an instance of `JAXBElement``<``String``>`}
    `JAXBElement<PersistenceContextRefType>` | `createWebAppTypePersistenceContextRef(PersistenceContextRefType value)` Create an instance of `JAXBElement``<``PersistenceContextRefType``>`}
    `JAXBElement<PersistenceUnitRefType>` | `createWebAppTypePersistenceUnitRef(PersistenceUnitRefType value)` Create an instance of `JAXBElement``<``PersistenceUnitRefType``>`}
    `JAXBElement<LifecycleCallbackType>` | `createWebAppTypePostConstruct(LifecycleCallbackType value)` Create an instance of `JAXBElement``<``LifecycleCallbackType``>`}
    `JAXBElement<LifecycleCallbackType>` | `createWebAppTypePreDestroy(LifecycleCallbackType value)` Create an instance of `JAXBElement``<``LifecycleCallbackType``>`}
    `JAXBElement<ResourceEnvRefType>` | `createWebAppTypeResourceEnvRef(ResourceEnvRefType value)` Create an instance of `JAXBElement``<``ResourceEnvRefType``>`}
    `JAXBElement<ResourceRefType>` | `createWebAppTypeResourceRef(ResourceRefType value)` Create an instance of `JAXBElement``<``ResourceRefType``>`}
    `JAXBElement<SecurityConstraintType>` | `createWebAppTypeSecurityConstraint(SecurityConstraintType value)` Create an instance of `JAXBElement``<``SecurityConstraintType``>`}
    `JAXBElement<SecurityRoleType>` | `createWebAppTypeSecurityRole(SecurityRoleType value)` Create an instance of `JAXBElement``<``SecurityRoleType``>`}
    `JAXBElement<ServiceRefType>` | `createWebAppTypeServiceRef(ServiceRefType value)` Create an instance of `JAXBElement``<``ServiceRefType``>`}
    `JAXBElement<ServletType>` | `createWebAppTypeServlet(ServletType value)` Create an instance of `JAXBElement``<``ServletType``>`}
    `JAXBElement<ServletMappingType>` | `createWebAppTypeServletMapping(ServletMappingType value)` Create an instance of `JAXBElement``<``ServletMappingType``>`}
    `JAXBElement<SessionConfigType>` | `createWebAppTypeSessionConfig(SessionConfigType value)` Create an instance of `JAXBElement``<``SessionConfigType``>`}
    `JAXBElement<WelcomeFileListType>` | `createWebAppTypeWelcomeFileList(WelcomeFileListType value)` Create an instance of `JAXBElement``<``WelcomeFileListType``>`}
    `WebFragmentType` | `createWebFragmentType()` Create an instance of `WebFragmentType`
    `JAXBElement<ParamValueType>` | `createWebFragmentTypeContextParam(ParamValueType value)` Create an instance of `JAXBElement``<``ParamValueType``>`}
    `JAXBElement<DataSourceType>` | `createWebFragmentTypeDataSource(DataSourceType value)` Create an instance of `JAXBElement``<``DataSourceType``>`}
    `JAXBElement<DescriptionType>` | `createWebFragmentTypeDescription(DescriptionType value)` Create an instance of `JAXBElement``<``DescriptionType``>`}
    `JAXBElement<DisplayNameType>` | `createWebFragmentTypeDisplayName(DisplayNameType value)` Create an instance of `JAXBElement``<``DisplayNameType``>`}
    `JAXBElement<EmptyType>` | `createWebFragmentTypeDistributable(EmptyType value)` Create an instance of `JAXBElement``<``EmptyType``>`}
    `JAXBElement<EjbLocalRefType>` | `createWebFragmentTypeEjbLocalRef(EjbLocalRefType value)` Create an instance of `JAXBElement``<``EjbLocalRefType``>`}
    `JAXBElement<EjbRefType>` | `createWebFragmentTypeEjbRef(EjbRefType value)` Create an instance of `JAXBElement``<``EjbRefType``>`}
    `JAXBElement<EnvEntryType>` | `createWebFragmentTypeEnvEntry(EnvEntryType value)` Create an instance of `JAXBElement``<``EnvEntryType``>`}
    `JAXBElement<ErrorPageType>` | `createWebFragmentTypeErrorPage(ErrorPageType value)` Create an instance of `JAXBElement``<``ErrorPageType``>`}
    `JAXBElement<FilterType>` | `createWebFragmentTypeFilter(FilterType value)` Create an instance of `JAXBElement``<``FilterType``>`}
    `JAXBElement<FilterMappingType>` | `createWebFragmentTypeFilterMapping(FilterMappingType value)` Create an instance of `JAXBElement``<``FilterMappingType``>`}
    `JAXBElement<IconType>` | `createWebFragmentTypeIcon(IconType value)` Create an instance of `JAXBElement``<``IconType``>`}
    `JAXBElement<JspConfigType>` | `createWebFragmentTypeJspConfig(JspConfigType value)` Create an instance of `JAXBElement``<``JspConfigType``>`}
    `JAXBElement<ListenerType>` | `createWebFragmentTypeListener(ListenerType value)` Create an instance of `JAXBElement``<``ListenerType``>`}
    `JAXBElement<LocaleEncodingMappingListType>` | `createWebFragmentTypeLocaleEncodingMappingList(LocaleEncodingMappingListType value)` Create an instance of `JAXBElement``<``LocaleEncodingMappingListType``>`}
    `JAXBElement<LoginConfigType>` | `createWebFragmentTypeLoginConfig(LoginConfigType value)` Create an instance of `JAXBElement``<``LoginConfigType``>`}
    `JAXBElement<MessageDestinationType>` | `createWebFragmentTypeMessageDestination(MessageDestinationType value)` Create an instance of `JAXBElement``<``MessageDestinationType``>`}
    `JAXBElement<MessageDestinationRefType>` | `createWebFragmentTypeMessageDestinationRef(MessageDestinationRefType value)` Create an instance of `JAXBElement``<``MessageDestinationRefType``>`}
    `JAXBElement<MimeMappingType>` | `createWebFragmentTypeMimeMapping(MimeMappingType value)` Create an instance of `JAXBElement``<``MimeMappingType``>`}
    `JAXBElement<JavaIdentifierType>` | `createWebFragmentTypeName(JavaIdentifierType value)` Create an instance of `JAXBElement``<``JavaIdentifierType``>`}
    `JAXBElement<OrderingType>` | `createWebFragmentTypeOrdering(OrderingType value)` Create an instance of `JAXBElement``<``OrderingType``>`}
    `JAXBElement<PersistenceContextRefType>` | `createWebFragmentTypePersistenceContextRef(PersistenceContextRefType value)` Create an instance of `JAXBElement``<``PersistenceContextRefType``>`}
    `JAXBElement<PersistenceUnitRefType>` | `createWebFragmentTypePersistenceUnitRef(PersistenceUnitRefType value)` Create an instance of `JAXBElement``<``PersistenceUnitRefType``>`}
    `JAXBElement<LifecycleCallbackType>` | `createWebFragmentTypePostConstruct(LifecycleCallbackType value)` Create an instance of `JAXBElement``<``LifecycleCallbackType``>`}
    `JAXBElement<LifecycleCallbackType>` | `createWebFragmentTypePreDestroy(LifecycleCallbackType value)` Create an instance of `JAXBElement``<``LifecycleCallbackType``>`}
    `JAXBElement<ResourceEnvRefType>` | `createWebFragmentTypeResourceEnvRef(ResourceEnvRefType value)` Create an instance of `JAXBElement``<``ResourceEnvRefType``>`}
    `JAXBElement<ResourceRefType>` | `createWebFragmentTypeResourceRef(ResourceRefType value)` Create an instance of `JAXBElement``<``ResourceRefType``>`}
    `JAXBElement<SecurityConstraintType>` | `createWebFragmentTypeSecurityConstraint(SecurityConstraintType value)` Create an instance of `JAXBElement``<``SecurityConstraintType``>`}
    `JAXBElement<SecurityRoleType>` | `createWebFragmentTypeSecurityRole(SecurityRoleType value)` Create an instance of `JAXBElement``<``SecurityRoleType``>`}
    `JAXBElement<ServiceRefType>` | `createWebFragmentTypeServiceRef(ServiceRefType value)` Create an instance of `JAXBElement``<``ServiceRefType``>`}
    `JAXBElement<ServletType>` | `createWebFragmentTypeServlet(ServletType value)` Create an instance of `JAXBElement``<``ServletType``>`}
    `JAXBElement<ServletMappingType>` | `createWebFragmentTypeServletMapping(ServletMappingType value)` Create an instance of `JAXBElement``<``ServletMappingType``>`}
    `JAXBElement<SessionConfigType>` | `createWebFragmentTypeSessionConfig(SessionConfigType value)` Create an instance of `JAXBElement``<``SessionConfigType``>`}
    `JAXBElement<WelcomeFileListType>` | `createWebFragmentTypeWelcomeFileList(WelcomeFileListType value)` Create an instance of `JAXBElement``<``WelcomeFileListType``>`}
    `WebResourceCollectionType` | `createWebResourceCollectionType()` Create an instance of `WebResourceCollectionType`
    `WebType` | `createWebType()` Create an instance of `WebType`
    `WelcomeFileListType` | `createWelcomeFileListType()` Create an instance of `WelcomeFileListType`
    `XsdAnyURIType` | `createXsdAnyURIType()` Create an instance of `XsdAnyURIType`
    `XsdBooleanType` | `createXsdBooleanType()` Create an instance of `XsdBooleanType`
    `XsdIntegerType` | `createXsdIntegerType()` Create an instance of `XsdIntegerType`
    `XsdNMTOKENType` | `createXsdNMTOKENType()` Create an instance of `XsdNMTOKENType`
    `XsdNonNegativeIntegerType` | `createXsdNonNegativeIntegerType()` Create an instance of `XsdNonNegativeIntegerType`
    `XsdPositiveIntegerType` | `createXsdPositiveIntegerType()` Create an instance of `XsdPositiveIntegerType`
    `XsdQNameType` | `createXsdQNameType()` Create an instance of `XsdQNameType`
    `XsdStringType` | `createXsdStringType()` Create an instance of `XsdStringType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.sun.java.xml.ns.javaee

  - ### Method Detail

    - #### createWebAppType

          public WebAppType createWebAppType()

      Create an instance of `WebAppType`

    - #### createApplicationType

          public ApplicationType createApplicationType()

      Create an instance of `ApplicationType`

    - #### createJspFileType

          public JspFileType createJspFileType()

      Create an instance of `JspFileType`

    - #### createTransportGuaranteeType

          public TransportGuaranteeType createTransportGuaranteeType()

      Create an instance of `TransportGuaranteeType`

    - #### createNonEmptyStringType

          public NonEmptyStringType createNonEmptyStringType()

      Create an instance of `NonEmptyStringType`

    - #### createWebResourceCollectionType

          public WebResourceCollectionType createWebResourceCollectionType()

      Create an instance of `WebResourceCollectionType`

    - #### createHandlerChainType

          public HandlerChainType createHandlerChainType()

      Create an instance of `HandlerChainType`

    - #### createInjectionTargetType

          public InjectionTargetType createInjectionTargetType()

      Create an instance of `InjectionTargetType`

    - #### createResSharingScopeType

          public ResSharingScopeType createResSharingScopeType()

      Create an instance of `ResSharingScopeType`

    - #### createXsdStringType

          public XsdStringType createXsdStringType()

      Create an instance of `XsdStringType`

    - #### createLifecycleCallbackType

          public LifecycleCallbackType createLifecycleCallbackType()

      Create an instance of `LifecycleCallbackType`

    - #### createAbsoluteOrderingType

          public AbsoluteOrderingType createAbsoluteOrderingType()

      Create an instance of `AbsoluteOrderingType`

    - #### createAuthConstraintType

          public AuthConstraintType createAuthConstraintType()

      Create an instance of `AuthConstraintType`

    - #### createCookieCommentType

          public CookieCommentType createCookieCommentType()

      Create an instance of `CookieCommentType`

    - #### createPortComponentRefType

          public PortComponentRefType createPortComponentRefType()

      Create an instance of `PortComponentRefType`

    - #### createMimeMappingType

          public MimeMappingType createMimeMappingType()

      Create an instance of `MimeMappingType`

    - #### createLocalHomeType

          public LocalHomeType createLocalHomeType()

      Create an instance of `LocalHomeType`

    - #### createSecurityConstraintType

          public SecurityConstraintType createSecurityConstraintType()

      Create an instance of `SecurityConstraintType`

    - #### createJspPropertyGroupType

          public JspPropertyGroupType createJspPropertyGroupType()

      Create an instance of `JspPropertyGroupType`

    - #### createAuthMethodType

          public AuthMethodType createAuthMethodType()

      Create an instance of `AuthMethodType`

    - #### createFilterMappingType

          public FilterMappingType createFilterMappingType()

      Create an instance of `FilterMappingType`

    - #### createEnvEntryType

          public EnvEntryType createEnvEntryType()

      Create an instance of `EnvEntryType`

    - #### createTaglibType

          public TaglibType createTaglibType()

      Create an instance of `TaglibType`

    - #### createJndiNameType

          public JndiNameType createJndiNameType()

      Create an instance of `JndiNameType`

    - #### createJavaIdentifierType

          public JavaIdentifierType createJavaIdentifierType()

      Create an instance of `JavaIdentifierType`

    - #### createXsdIntegerType

          public XsdIntegerType createXsdIntegerType()

      Create an instance of `XsdIntegerType`

    - #### createResourceRefType

          public ResourceRefType createResourceRefType()

      Create an instance of `ResourceRefType`

    - #### createHandlerChainsType

          public HandlerChainsType createHandlerChainsType()

      Create an instance of `HandlerChainsType`

    - #### createResAuthType

          public ResAuthType createResAuthType()

      Create an instance of `ResAuthType`

    - #### createCookieNameType

          public CookieNameType createCookieNameType()

      Create an instance of `CookieNameType`

    - #### createRunAsType

          public RunAsType createRunAsType()

      Create an instance of `RunAsType`

    - #### createMessageDestinationTypeType

          public MessageDestinationTypeType createMessageDestinationTypeType()

      Create an instance of `MessageDestinationTypeType`

    - #### createCookiePathType

          public CookiePathType createCookiePathType()

      Create an instance of `CookiePathType`

    - #### createLoginConfigType

          public LoginConfigType createLoginConfigType()

      Create an instance of `LoginConfigType`

    - #### createWebType

          public WebType createWebType()

      Create an instance of `WebType`

    - #### createOrderingOthersType

          public OrderingOthersType createOrderingOthersType()

      Create an instance of `OrderingOthersType`

    - #### createListenerType

          public ListenerType createListenerType()

      Create an instance of `ListenerType`

    - #### createRoleNameType

          public RoleNameType createRoleNameType()

      Create an instance of `RoleNameType`

    - #### createGenericBooleanType

          public GenericBooleanType createGenericBooleanType()

      Create an instance of `GenericBooleanType`

    - #### createResourceEnvRefType

          public ResourceEnvRefType createResourceEnvRefType()

      Create an instance of `ResourceEnvRefType`

    - #### createIconType

          public IconType createIconType()

      Create an instance of `IconType`

    - #### createEjbRefTypeType

          public EjbRefTypeType createEjbRefTypeType()

      Create an instance of `EjbRefTypeType`

    - #### createJavaTypeType

          public JavaTypeType createJavaTypeType()

      Create an instance of `JavaTypeType`

    - #### createAddressingResponsesType

          public AddressingResponsesType createAddressingResponsesType()

      Create an instance of `AddressingResponsesType`

    - #### createParamValueType

          public ParamValueType createParamValueType()

      Create an instance of `ParamValueType`

    - #### createUserDataConstraintType

          public UserDataConstraintType createUserDataConstraintType()

      Create an instance of `UserDataConstraintType`

    - #### createEjbRefNameType

          public EjbRefNameType createEjbRefNameType()

      Create an instance of `EjbRefNameType`

    - #### createPathType

          public PathType createPathType()

      Create an instance of `PathType`

    - #### createLocalType

          public LocalType createLocalType()

      Create an instance of `LocalType`

    - #### createXsdNonNegativeIntegerType

          public XsdNonNegativeIntegerType createXsdNonNegativeIntegerType()

      Create an instance of `XsdNonNegativeIntegerType`

    - #### createXsdPositiveIntegerType

          public XsdPositiveIntegerType createXsdPositiveIntegerType()

      Create an instance of `XsdPositiveIntegerType`

    - #### createEnvEntryTypeValuesType

          public EnvEntryTypeValuesType createEnvEntryTypeValuesType()

      Create an instance of `EnvEntryTypeValuesType`

    - #### createXsdAnyURIType

          public XsdAnyURIType createXsdAnyURIType()

      Create an instance of `XsdAnyURIType`

    - #### createEmptyType

          public EmptyType createEmptyType()

      Create an instance of `EmptyType`

    - #### createLocaleEncodingMappingType

          public LocaleEncodingMappingType createLocaleEncodingMappingType()

      Create an instance of `LocaleEncodingMappingType`

    - #### createPersistenceContextTypeType

          public PersistenceContextTypeType createPersistenceContextTypeType()

      Create an instance of `PersistenceContextTypeType`

    - #### createSecurityRoleType

          public SecurityRoleType createSecurityRoleType()

      Create an instance of `SecurityRoleType`

    - #### createUrlPatternType

          public UrlPatternType createUrlPatternType()

      Create an instance of `UrlPatternType`

    - #### createAddressingType

          public AddressingType createAddressingType()

      Create an instance of `AddressingType`

    - #### createMessageDestinationType

          public MessageDestinationType createMessageDestinationType()

      Create an instance of `MessageDestinationType`

    - #### createEjbLocalRefType

          public EjbLocalRefType createEjbLocalRefType()

      Create an instance of `EjbLocalRefType`

    - #### createTrackingModeType

          public TrackingModeType createTrackingModeType()

      Create an instance of `TrackingModeType`

    - #### createCookieDomainType

          public CookieDomainType createCookieDomainType()

      Create an instance of `CookieDomainType`

    - #### createDescriptionType

          public DescriptionType createDescriptionType()

      Create an instance of `DescriptionType`

    - #### createDataSourceType

          public DataSourceType createDataSourceType()

      Create an instance of `DataSourceType`

    - #### createErrorPageType

          public ErrorPageType createErrorPageType()

      Create an instance of `ErrorPageType`

    - #### createServletNameType

          public ServletNameType createServletNameType()

      Create an instance of `ServletNameType`

    - #### createJdbcUrlType

          public JdbcUrlType createJdbcUrlType()

      Create an instance of `JdbcUrlType`

    - #### createLocaleEncodingMappingListType

          public LocaleEncodingMappingListType createLocaleEncodingMappingListType()

      Create an instance of `LocaleEncodingMappingListType`

    - #### createMultipartConfigType

          public MultipartConfigType createMultipartConfigType()

      Create an instance of `MultipartConfigType`

    - #### createRespectBindingType

          public RespectBindingType createRespectBindingType()

      Create an instance of `RespectBindingType`

    - #### createHandlerType

          public HandlerType createHandlerType()

      Create an instance of `HandlerType`

    - #### createTrueFalseType

          public TrueFalseType createTrueFalseType()

      Create an instance of `TrueFalseType`

    - #### createWelcomeFileListType

          public WelcomeFileListType createWelcomeFileListType()

      Create an instance of `WelcomeFileListType`

    - #### createMessageDestinationRefType

          public MessageDestinationRefType createMessageDestinationRefType()

      Create an instance of `MessageDestinationRefType`

    - #### createRemoteType

          public RemoteType createRemoteType()

      Create an instance of `RemoteType`

    - #### createMimeTypeType

          public MimeTypeType createMimeTypeType()

      Create an instance of `MimeTypeType`

    - #### createSessionConfigType

          public SessionConfigType createSessionConfigType()

      Create an instance of `SessionConfigType`

    - #### createXsdBooleanType

          public XsdBooleanType createXsdBooleanType()

      Create an instance of `XsdBooleanType`

    - #### createHomeType

          public HomeType createHomeType()

      Create an instance of `HomeType`

    - #### createWebFragmentType

          public WebFragmentType createWebFragmentType()

      Create an instance of `WebFragmentType`

    - #### createFilterType

          public FilterType createFilterType()

      Create an instance of `FilterType`

    - #### createString

          public String createString()

      Create an instance of `String`

    - #### createXsdQNameType

          public XsdQNameType createXsdQNameType()

      Create an instance of `XsdQNameType`

    - #### createJspConfigType

          public JspConfigType createJspConfigType()

      Create an instance of `JspConfigType`

    - #### createFilterNameType

          public FilterNameType createFilterNameType()

      Create an instance of `FilterNameType`

    - #### createWarPathType

          public WarPathType createWarPathType()

      Create an instance of `WarPathType`

    - #### createPropertyType

          public PropertyType createPropertyType()

      Create an instance of `PropertyType`

    - #### createOrderingOrderingType

          public OrderingOrderingType createOrderingOrderingType()

      Create an instance of `OrderingOrderingType`

    - #### createPersistenceContextRefType

          public PersistenceContextRefType createPersistenceContextRefType()

      Create an instance of `PersistenceContextRefType`

    - #### createFormLoginConfigType

          public FormLoginConfigType createFormLoginConfigType()

      Create an instance of `FormLoginConfigType`

    - #### createEjbLinkType

          public EjbLinkType createEjbLinkType()

      Create an instance of `EjbLinkType`

    - #### createSecurityRoleRefType

          public SecurityRoleRefType createSecurityRoleRefType()

      Create an instance of `SecurityRoleRefType`

    - #### createServletType

          public ServletType createServletType()

      Create an instance of `ServletType`

    - #### createServletMappingType

          public ServletMappingType createServletMappingType()

      Create an instance of `ServletMappingType`

    - #### createModuleType

          public ModuleType createModuleType()

      Create an instance of `ModuleType`

    - #### createOrderingType

          public OrderingType createOrderingType()

      Create an instance of `OrderingType`

    - #### createDisplayNameType

          public DisplayNameType createDisplayNameType()

      Create an instance of `DisplayNameType`

    - #### createMessageDestinationUsageType

          public MessageDestinationUsageType createMessageDestinationUsageType()

      Create an instance of `MessageDestinationUsageType`

    - #### createServiceRefType

          public ServiceRefType createServiceRefType()

      Create an instance of `ServiceRefType`

    - #### createFullyQualifiedClassType

          public FullyQualifiedClassType createFullyQualifiedClassType()

      Create an instance of `FullyQualifiedClassType`

    - #### createEjbRefType

          public EjbRefType createEjbRefType()

      Create an instance of `EjbRefType`

    - #### createErrorCodeType

          public ErrorCodeType createErrorCodeType()

      Create an instance of `ErrorCodeType`

    - #### createDispatcherType

          public DispatcherType createDispatcherType()

      Create an instance of `DispatcherType`

    - #### createCookieConfigType

          public CookieConfigType createCookieConfigType()

      Create an instance of `CookieConfigType`

    - #### createXsdNMTOKENType

          public XsdNMTOKENType createXsdNMTOKENType()

      Create an instance of `XsdNMTOKENType`

    - #### createMessageDestinationLinkType

          public MessageDestinationLinkType createMessageDestinationLinkType()

      Create an instance of `MessageDestinationLinkType`

    - #### createPersistenceUnitRefType

          public PersistenceUnitRefType createPersistenceUnitRefType()

      Create an instance of `PersistenceUnitRefType`

    - #### createApplication

          public JAXBElement<ApplicationType> createApplication(ApplicationType value)

      Create an instance of `JAXBElement``<``ApplicationType``>`}

    - #### createWebApp

          public JAXBElement<WebAppType> createWebApp(WebAppType value)

      Create an instance of `JAXBElement``<``WebAppType``>`}

    - #### createWebAppTypeLocaleEncodingMappingList

          public JAXBElement<LocaleEncodingMappingListType> createWebAppTypeLocaleEncodingMappingList(LocaleEncodingMappingListType value)

      Create an instance of `JAXBElement``<``LocaleEncodingMappingListType``>`}

    - #### createWebAppTypeServlet

          public JAXBElement<ServletType> createWebAppTypeServlet(ServletType value)

      Create an instance of `JAXBElement``<``ServletType``>`}

    - #### createWebAppTypeServiceRef

          public JAXBElement<ServiceRefType> createWebAppTypeServiceRef(ServiceRefType value)

      Create an instance of `JAXBElement``<``ServiceRefType``>`}

    - #### createWebAppTypeServletMapping

          public JAXBElement<ServletMappingType> createWebAppTypeServletMapping(ServletMappingType value)

      Create an instance of `JAXBElement``<``ServletMappingType``>`}

    - #### createWebAppTypeMimeMapping

          public JAXBElement<MimeMappingType> createWebAppTypeMimeMapping(MimeMappingType value)

      Create an instance of `JAXBElement``<``MimeMappingType``>`}

    - #### createWebAppTypeEjbLocalRef

          public JAXBElement<EjbLocalRefType> createWebAppTypeEjbLocalRef(EjbLocalRefType value)

      Create an instance of `JAXBElement``<``EjbLocalRefType``>`}

    - #### createWebAppTypeIcon

          public JAXBElement<IconType> createWebAppTypeIcon(IconType value)

      Create an instance of `JAXBElement``<``IconType``>`}

    - #### createWebAppTypeListener

          public JAXBElement<ListenerType> createWebAppTypeListener(ListenerType value)

      Create an instance of `JAXBElement``<``ListenerType``>`}

    - #### createWebAppTypeMessageDestination

          public JAXBElement<MessageDestinationType> createWebAppTypeMessageDestination(MessageDestinationType value)

      Create an instance of `JAXBElement``<``MessageDestinationType``>`}

    - #### createWebAppTypeModuleName

          public JAXBElement<String> createWebAppTypeModuleName(String value)

      Create an instance of `JAXBElement``<``String``>`}

    - #### createWebAppTypeDescription

          public JAXBElement<DescriptionType> createWebAppTypeDescription(DescriptionType value)

      Create an instance of `JAXBElement``<``DescriptionType``>`}

    - #### createWebAppTypeLoginConfig

          public JAXBElement<LoginConfigType> createWebAppTypeLoginConfig(LoginConfigType value)

      Create an instance of `JAXBElement``<``LoginConfigType``>`}

    - #### createWebAppTypeEjbRef

          public JAXBElement<EjbRefType> createWebAppTypeEjbRef(EjbRefType value)

      Create an instance of `JAXBElement``<``EjbRefType``>`}

    - #### createWebAppTypeResourceRef

          public JAXBElement<ResourceRefType> createWebAppTypeResourceRef(ResourceRefType value)

      Create an instance of `JAXBElement``<``ResourceRefType``>`}

    - #### createWebAppTypeWelcomeFileList

          public JAXBElement<WelcomeFileListType> createWebAppTypeWelcomeFileList(WelcomeFileListType value)

      Create an instance of `JAXBElement``<``WelcomeFileListType``>`}

    - #### createWebAppTypeMessageDestinationRef

          public JAXBElement<MessageDestinationRefType> createWebAppTypeMessageDestinationRef(MessageDestinationRefType value)

      Create an instance of `JAXBElement``<``MessageDestinationRefType``>`}

    - #### createWebAppTypePersistenceUnitRef

          public JAXBElement<PersistenceUnitRefType> createWebAppTypePersistenceUnitRef(PersistenceUnitRefType value)

      Create an instance of `JAXBElement``<``PersistenceUnitRefType``>`}

    - #### createWebAppTypeDataSource

          public JAXBElement<DataSourceType> createWebAppTypeDataSource(DataSourceType value)

      Create an instance of `JAXBElement``<``DataSourceType``>`}

    - #### createWebAppTypeFilterMapping

          public JAXBElement<FilterMappingType> createWebAppTypeFilterMapping(FilterMappingType value)

      Create an instance of `JAXBElement``<``FilterMappingType``>`}

    - #### createWebAppTypeSecurityConstraint

          public JAXBElement<SecurityConstraintType> createWebAppTypeSecurityConstraint(SecurityConstraintType value)

      Create an instance of `JAXBElement``<``SecurityConstraintType``>`}

    - #### createWebAppTypeSecurityRole

          public JAXBElement<SecurityRoleType> createWebAppTypeSecurityRole(SecurityRoleType value)

      Create an instance of `JAXBElement``<``SecurityRoleType``>`}

    - #### createWebAppTypePostConstruct

          public JAXBElement<LifecycleCallbackType> createWebAppTypePostConstruct(LifecycleCallbackType value)

      Create an instance of `JAXBElement``<``LifecycleCallbackType``>`}

    - #### createWebAppTypeDistributable

          public JAXBElement<EmptyType> createWebAppTypeDistributable(EmptyType value)

      Create an instance of `JAXBElement``<``EmptyType``>`}

    - #### createWebAppTypeResourceEnvRef

          public JAXBElement<ResourceEnvRefType> createWebAppTypeResourceEnvRef(ResourceEnvRefType value)

      Create an instance of `JAXBElement``<``ResourceEnvRefType``>`}

    - #### createWebAppTypeContextParam

          public JAXBElement<ParamValueType> createWebAppTypeContextParam(ParamValueType value)

      Create an instance of `JAXBElement``<``ParamValueType``>`}

    - #### createWebAppTypeJspConfig

          public JAXBElement<JspConfigType> createWebAppTypeJspConfig(JspConfigType value)

      Create an instance of `JAXBElement``<``JspConfigType``>`}

    - #### createWebAppTypeDisplayName

          public JAXBElement<DisplayNameType> createWebAppTypeDisplayName(DisplayNameType value)

      Create an instance of `JAXBElement``<``DisplayNameType``>`}

    - #### createWebAppTypeErrorPage

          public JAXBElement<ErrorPageType> createWebAppTypeErrorPage(ErrorPageType value)

      Create an instance of `JAXBElement``<``ErrorPageType``>`}

    - #### createWebAppTypeFilter

          public JAXBElement<FilterType> createWebAppTypeFilter(FilterType value)

      Create an instance of `JAXBElement``<``FilterType``>`}

    - #### createWebAppTypeAbsoluteOrdering

          public JAXBElement<AbsoluteOrderingType> createWebAppTypeAbsoluteOrdering(AbsoluteOrderingType value)

      Create an instance of `JAXBElement``<``AbsoluteOrderingType``>`}

    - #### createWebAppTypePersistenceContextRef

          public JAXBElement<PersistenceContextRefType> createWebAppTypePersistenceContextRef(PersistenceContextRefType value)

      Create an instance of `JAXBElement``<``PersistenceContextRefType``>`}

    - #### createWebAppTypeEnvEntry

          public JAXBElement<EnvEntryType> createWebAppTypeEnvEntry(EnvEntryType value)

      Create an instance of `JAXBElement``<``EnvEntryType``>`}

    - #### createWebAppTypeSessionConfig

          public JAXBElement<SessionConfigType> createWebAppTypeSessionConfig(SessionConfigType value)

      Create an instance of `JAXBElement``<``SessionConfigType``>`}

    - #### createWebAppTypePreDestroy

          public JAXBElement<LifecycleCallbackType> createWebAppTypePreDestroy(LifecycleCallbackType value)

      Create an instance of `JAXBElement``<``LifecycleCallbackType``>`}

    - #### createWebFragmentTypeLocaleEncodingMappingList

          public JAXBElement<LocaleEncodingMappingListType> createWebFragmentTypeLocaleEncodingMappingList(LocaleEncodingMappingListType value)

      Create an instance of `JAXBElement``<``LocaleEncodingMappingListType``>`}

    - #### createWebFragmentTypeServlet

          public JAXBElement<ServletType> createWebFragmentTypeServlet(ServletType value)

      Create an instance of `JAXBElement``<``ServletType``>`}

    - #### createWebFragmentTypeServiceRef

          public JAXBElement<ServiceRefType> createWebFragmentTypeServiceRef(ServiceRefType value)

      Create an instance of `JAXBElement``<``ServiceRefType``>`}

    - #### createWebFragmentTypeOrdering

          public JAXBElement<OrderingType> createWebFragmentTypeOrdering(OrderingType value)

      Create an instance of `JAXBElement``<``OrderingType``>`}

    - #### createWebFragmentTypeServletMapping

          public JAXBElement<ServletMappingType> createWebFragmentTypeServletMapping(ServletMappingType value)

      Create an instance of `JAXBElement``<``ServletMappingType``>`}

    - #### createWebFragmentTypeMimeMapping

          public JAXBElement<MimeMappingType> createWebFragmentTypeMimeMapping(MimeMappingType value)

      Create an instance of `JAXBElement``<``MimeMappingType``>`}

    - #### createWebFragmentTypeEjbLocalRef

          public JAXBElement<EjbLocalRefType> createWebFragmentTypeEjbLocalRef(EjbLocalRefType value)

      Create an instance of `JAXBElement``<``EjbLocalRefType``>`}

    - #### createWebFragmentTypeIcon

          public JAXBElement<IconType> createWebFragmentTypeIcon(IconType value)

      Create an instance of `JAXBElement``<``IconType``>`}

    - #### createWebFragmentTypeListener

          public JAXBElement<ListenerType> createWebFragmentTypeListener(ListenerType value)

      Create an instance of `JAXBElement``<``ListenerType``>`}

    - #### createWebFragmentTypeMessageDestination

          public JAXBElement<MessageDestinationType> createWebFragmentTypeMessageDestination(MessageDestinationType value)

      Create an instance of `JAXBElement``<``MessageDestinationType``>`}

    - #### createWebFragmentTypeDescription

          public JAXBElement<DescriptionType> createWebFragmentTypeDescription(DescriptionType value)

      Create an instance of `JAXBElement``<``DescriptionType``>`}

    - #### createWebFragmentTypeLoginConfig

          public JAXBElement<LoginConfigType> createWebFragmentTypeLoginConfig(LoginConfigType value)

      Create an instance of `JAXBElement``<``LoginConfigType``>`}

    - #### createWebFragmentTypeEjbRef

          public JAXBElement<EjbRefType> createWebFragmentTypeEjbRef(EjbRefType value)

      Create an instance of `JAXBElement``<``EjbRefType``>`}

    - #### createWebFragmentTypeResourceRef

          public JAXBElement<ResourceRefType> createWebFragmentTypeResourceRef(ResourceRefType value)

      Create an instance of `JAXBElement``<``ResourceRefType``>`}

    - #### createWebFragmentTypeWelcomeFileList

          public JAXBElement<WelcomeFileListType> createWebFragmentTypeWelcomeFileList(WelcomeFileListType value)

      Create an instance of `JAXBElement``<``WelcomeFileListType``>`}

    - #### createWebFragmentTypeMessageDestinationRef

          public JAXBElement<MessageDestinationRefType> createWebFragmentTypeMessageDestinationRef(MessageDestinationRefType value)

      Create an instance of `JAXBElement``<``MessageDestinationRefType``>`}

    - #### createWebFragmentTypePersistenceUnitRef

          public JAXBElement<PersistenceUnitRefType> createWebFragmentTypePersistenceUnitRef(PersistenceUnitRefType value)

      Create an instance of `JAXBElement``<``PersistenceUnitRefType``>`}

    - #### createWebFragmentTypeDataSource

          public JAXBElement<DataSourceType> createWebFragmentTypeDataSource(DataSourceType value)

      Create an instance of `JAXBElement``<``DataSourceType``>`}

    - #### createWebFragmentTypeFilterMapping

          public JAXBElement<FilterMappingType> createWebFragmentTypeFilterMapping(FilterMappingType value)

      Create an instance of `JAXBElement``<``FilterMappingType``>`}

    - #### createWebFragmentTypeSecurityConstraint

          public JAXBElement<SecurityConstraintType> createWebFragmentTypeSecurityConstraint(SecurityConstraintType value)

      Create an instance of `JAXBElement``<``SecurityConstraintType``>`}

    - #### createWebFragmentTypeSecurityRole

          public JAXBElement<SecurityRoleType> createWebFragmentTypeSecurityRole(SecurityRoleType value)

      Create an instance of `JAXBElement``<``SecurityRoleType``>`}

    - #### createWebFragmentTypePostConstruct

          public JAXBElement<LifecycleCallbackType> createWebFragmentTypePostConstruct(LifecycleCallbackType value)

      Create an instance of `JAXBElement``<``LifecycleCallbackType``>`}

    - #### createWebFragmentTypeDistributable

          public JAXBElement<EmptyType> createWebFragmentTypeDistributable(EmptyType value)

      Create an instance of `JAXBElement``<``EmptyType``>`}

    - #### createWebFragmentTypeResourceEnvRef

          public JAXBElement<ResourceEnvRefType> createWebFragmentTypeResourceEnvRef(ResourceEnvRefType value)

      Create an instance of `JAXBElement``<``ResourceEnvRefType``>`}

    - #### createWebFragmentTypeContextParam

          public JAXBElement<ParamValueType> createWebFragmentTypeContextParam(ParamValueType value)

      Create an instance of `JAXBElement``<``ParamValueType``>`}

    - #### createWebFragmentTypeJspConfig

          public JAXBElement<JspConfigType> createWebFragmentTypeJspConfig(JspConfigType value)

      Create an instance of `JAXBElement``<``JspConfigType``>`}

    - #### createWebFragmentTypeDisplayName

          public JAXBElement<DisplayNameType> createWebFragmentTypeDisplayName(DisplayNameType value)

      Create an instance of `JAXBElement``<``DisplayNameType``>`}

    - #### createWebFragmentTypeErrorPage

          public JAXBElement<ErrorPageType> createWebFragmentTypeErrorPage(ErrorPageType value)

      Create an instance of `JAXBElement``<``ErrorPageType``>`}

    - #### createWebFragmentTypeFilter

          public JAXBElement<FilterType> createWebFragmentTypeFilter(FilterType value)

      Create an instance of `JAXBElement``<``FilterType``>`}

    - #### createWebFragmentTypePersistenceContextRef

          public JAXBElement<PersistenceContextRefType> createWebFragmentTypePersistenceContextRef(PersistenceContextRefType value)

      Create an instance of `JAXBElement``<``PersistenceContextRefType``>`}

    - #### createWebFragmentTypeEnvEntry

          public JAXBElement<EnvEntryType> createWebFragmentTypeEnvEntry(EnvEntryType value)

      Create an instance of `JAXBElement``<``EnvEntryType``>`}

    - #### createWebFragmentTypeName

          public JAXBElement<JavaIdentifierType> createWebFragmentTypeName(JavaIdentifierType value)

      Create an instance of `JAXBElement``<``JavaIdentifierType``>`}

    - #### createWebFragmentTypeSessionConfig

          public JAXBElement<SessionConfigType> createWebFragmentTypeSessionConfig(SessionConfigType value)

      Create an instance of `JAXBElement``<``SessionConfigType``>`}

    - #### createWebFragmentTypePreDestroy

          public JAXBElement<LifecycleCallbackType> createWebFragmentTypePreDestroy(LifecycleCallbackType value)

      Create an instance of `JAXBElement``<``LifecycleCallbackType``>`}

Copyright © 2015 buschmais GbR. All rights reserved.